Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Interface CauchoRequest

All Superinterfaces:
  HttpServletRequest, ServletRequest

All Known Implementing Classes:
  AbstractRequest, DummyRequest

public interface CauchoRequest
extends HttpServletRequest

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Method Summary
`CauchoApplication` | `getCauchoApplication()`
`java.lang.String` | `getChain(java.lang.String contentType)`
`java.lang.String` | `getContextPath()` Returns the portion of the request URI that indicates the context of the request.
`Cookie` | `getCookie(java.lang.String name)`
`long` | `getDate()`
`java.lang.String` | `getMedia()`
`java.lang.String` | `getPageContextPath()`
`java.lang.String` | `getPagePathInfo()`
`java.lang.String` | `getPageQueryString()`
`java.lang.String` | `getPageServletPath()`
`java.lang.String` | `getPageURI()`
`int` | `getRequestDepth(int depth)`
`RequestDispatcher` | `getRequestDispatcher(java.lang.String url)` Returns a `RequestDispatcher` object that acts as a wrapper for the resource located at the given path.
`ReadStream` | `getStream()`
`boolean` | `isSecure()` Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.
`boolean` | `isUserInRole(java.lang.String role)` Returns a boolean indicating whether the authenticated user is included in the specified logical "role".
`void` | `removeAttribute(java.lang.String name)` Removes an attribute from this request.
`void` | `setHeader(java.lang.String key, java.lang.String value)`

Methods inherited from interface javax.servlet.http.HttpServletRequest
`getAuthType, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getScheme, getServerName, getServerPort, setAttribute, setCharacterEncoding`

Method Detail

### getContextPath

    public java.lang.String getContextPath()

  Description copied from interface: `HttpServletRequest`
  Returns the portion of the request URI that indicates the context of the request. The context path always comes first in a request URI. The path starts with a "/" character but does not end with a "/" character. For servlets in the default (root) context, this method returns "". The container does not decode this string.
  Specified by:
    `getContextPath` in interface `HttpServletRequest`
  Following copied from interface: `javax.servlet.http.HttpServletRequest`
  Returns:
    a `String` specifying the portion of the request URI that indicates the context of the request

### getPageURI

    public java.lang.String getPageURI()

### getPageContextPath

    public java.lang.String getPageContextPath()

### getPageServletPath

    public java.lang.String getPageServletPath()

### getPagePathInfo

    public java.lang.String getPagePathInfo()

### getPageQueryString

    public java.lang.String getPageQueryString()

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from interface: `ServletRequest`
  Removes an attribute from this request. This method is not generally needed as attributes only persist as long as the request is being handled.

  Attribute names should follow the same conventions as package names. Names beginning with `java.*`, `javax.*`, and `com.sun.*`, are reserved for use by Sun Microsystems.

  Specified by:
    `removeAttribute` in interface `ServletRequest`
  Following copied from interface: `javax.servlet.ServletRequest`
  Parameters:
    `name` - a `String` specifying the name of the attribute to remove

### getCauchoApplication

    public CauchoApplication getCauchoApplication()

### getStream

    public ReadStream getStream()
                         throws java.io.IOException

### getRequestDepth

    public int getRequestDepth(int depth)

### getDate

    public long getDate()

### getChain

    public java.lang.String getChain(java.lang.String contentType)

### setHeader

    public void setHeader(java.lang.String key,
                          java.lang.String value)

### getRequestDispatcher

    public RequestDispatcher getRequestDispatcher(java.lang.String url)

  Description copied from interface: `ServletRequest`
  Returns a `RequestDispatcher` object that acts as a wrapper for the resource located at the given path. A `RequestDispatcher` object can be used to forward a request to the resource or to include the resource in a response. The resource can be dynamic or static.

  The pathname specified may be relative, although it cannot extend outside the current servlet context. If the path begins with a "/" it is interpreted as relative to the current context root. This method returns `null` if the servlet container cannot return a `RequestDispatcher`.

  The difference between this method and `ServletContext.getRequestDispatcher(java.lang.String)` is that this method can take a relative path.

  Specified by:
    `getRequestDispatcher` in interface `ServletRequest`
  Following copied from interface: `javax.servlet.ServletRequest`
  Parameters:
    `path` - a `String` specifying the pathname to the resource
  Returns:
    a `RequestDispatcher` object that acts as a wrapper for the resource at the specified path
  See Also:
    `RequestDispatcher`, `ServletContext.getRequestDispatcher(java.lang.String)`

### getCookie

    public Cookie getCookie(java.lang.String name)

### isSecure

    public boolean isSecure()

  Description copied from interface: `ServletRequest`
  Returns a boolean indicating whether this request was made using a secure channel, such as HTTPS.
  Specified by:
    `isSecure` in interface `ServletRequest`
  Following copied from interface: `javax.servlet.ServletRequest`
  Returns:
    a boolean indicating if the request was made using a secure channel

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  Description copied from interface: `HttpServletRequest`
  Returns a boolean indicating whether the authenticated user is included in the specified logical "role". Roles and role membership can be defined using deployment descriptors. If the user has not been authenticated, the method returns `false`.
  Specified by:
    `isUserInRole` in interface `HttpServletRequest`
  Following copied from interface: `javax.servlet.http.HttpServletRequest`
  Parameters:
    `role` - a `String` specifying the name of the role
  Returns:
    a `boolean` indicating whether the user making this request belongs to a given role; `false` if the user has not been authenticated

### getMedia

    public java.lang.String getMedia()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD